en

  Stored additional info interface on navigate.

ja

  ページ遷移に関する付加情報を格納するインターフェイス

internal

### Hierarchy

- NavigateInfo

## Index

### Properties

- backDestination
- calledBeforeRouteChange
- inAdditionalBack
- inNavigation
- intent
- noHashChange
- positiveNavigate
- reverse
- transition
- url

## Properties

### Optional backDestination

backDestination: string

- Defined in Router.ts:144

### Optional calledBeforeRouteChange

calledBeforeRouteChange: boolean

- Defined in Router.ts:149

### Optional inAdditionalBack

inAdditionalBack: boolean

- Defined in Router.ts:151

### Optional inNavigation

inNavigation: boolean

- Defined in Router.ts:150

### Optional intent

intent: Intent

- Defined in Router.ts:146

### Optional noHashChange

noHashChange: boolean

- Defined in Router.ts:145

### Optional positiveNavigate

positiveNavigate: boolean

- Defined in Router.ts:148

### Optional reverse

reverse: boolean

- Defined in Router.ts:143

### Optional transition

transition: string

- Defined in Router.ts:142

### Optional url

url: string

- Defined in Router.ts:141

Generated using TypeDoc